[arch-commits] Commit in mongodb/repos (6 files)

Felix Yan felixonmars at archlinux.org
Thu Mar 8 01:52:14 UTC 2018


    Date: Thursday, March 8, 2018 @ 01:52:14
  Author: felixonmars
Revision: 304161

archrelease: copy trunk to community-testing-x86_64

Added:
  mongodb/repos/community-testing-x86_64/
  mongodb/repos/community-testing-x86_64/PKGBUILD
    (from rev 304160, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-testing-x86_64/mongodb.conf
    (from rev 304160, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-testing-x86_64/mongodb.service
    (from rev 304160, mongodb/trunk/mongodb.service)
  mongodb/repos/community-testing-x86_64/mongodb.sysusers
    (from rev 304160, mongodb/trunk/mongodb.sysusers)
  mongodb/repos/community-testing-x86_64/mongodb.tmpfiles
    (from rev 304160, mongodb/trunk/mongodb.tmpfiles)

------------------+
 PKGBUILD         |   82 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 mongodb.conf     |    8 +++++
 mongodb.service  |   10 ++++++
 mongodb.sysusers |    2 +
 mongodb.tmpfiles |    2 +
 5 files changed, 104 insertions(+)

Copied: mongodb/repos/community-testing-x86_64/PKGBUILD (from rev 304160, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2018-03-08 01:52:14 UTC (rev 304161)
@@ -0,0 +1,82 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=3.6.3
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('x86_64')
+url='https://www.mongodb.com/'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'libsasl' 'yaml-cpp' 'lsb-release' 'wiredtiger'
+         'libstemmer')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'python2-setuptools' 'python2-regex'
+             'python2-cheetah' 'python2-typing' 'python2-requests' 'python2-yaml')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff'
+            'mongodb-tools: mongoimport, mongodump, mongotop, etc')
+backup=('etc/mongodb.conf')
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.sysusers' 'mongodb.tmpfiles' 'mongodb.conf' 'mongodb.service')
+sha512sums=('94aa9955f99d5f6bbbe65dc3755583952525398308ca7cb9224b91d1fa403de5bb3abb63a651583815cbecaff58966b5cfe7334a36ef6583f73d8c213410ddbc'
+            '889425b864c58a767aa5865c0ce9817361ad99fec78050fa600f14eaef5a56ce0bc41a03878233e99f4862596a94dafcfebebecd4d57443b742117b873ab813d'
+            'a931c401792f4e7928e4778d91626c1ecc3e97e5728549b170c050de487b2e5234747b0ee2d5acc3d63b798716758c17e30914dcaa9a92ac386db39f8a45a05c'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
+
+_scons_args=(
+  --use-system-pcre
+  --use-system-snappy
+  --use-system-yaml
+  --use-system-zlib
+  --use-system-wiredtiger
+  --use-system-stemmer
+  --use-sasl-client
+  --ssl
+  --disable-warnings-as-errors
+  # --use-system-asio     # https://jira.mongodb.org/browse/SERVER-21839
+  # --use-system-v8       # Doesn't compile
+  # --use-system-icu
+  # --use-system-tcmalloc # Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890
+)
+
+build() {
+  cd mongodb-src-r${pkgver}
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  scons core tools "${_scons_args[@]}"
+}
+
+check() {
+  cd mongodb-src-r${pkgver}
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  # Setting LANG to workaround the following test error:
+  # std::exception: locale::facet::_S_create_c_locale name not valid
+
+  # 3.6.0: mlock permission denied
+  scons unittests "${_scons_args[@]}"
+  sed -i -e '/oplog_buffer_collection_test/d' build/unittests.txt
+  LANG=en_US.UTF-8 python2 buildscripts/resmoke.py --suites=unittests || warning "Tests failed"
+
+  scons dbtest "${_scons_args[@]}"
+  python2 buildscripts/resmoke.py --suites=dbtest
+
+  scons integration_tests "${_scons_args[@]}"
+  python2 buildscripts/resmoke.py --suites=integration_tests_replset,integration_tests_standalone --dbpathPrefix="$srcdir"
+}
+
+package() {
+  cd mongodb-src-r${pkgver}
+
+  scons install --prefix="$pkgdir/usr" --nostrip "${_scons_args[@]}"
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -Dm644 "$srcdir/mongodb.sysusers" "$pkgdir/usr/lib/sysusers.d/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.tmpfiles" "$pkgdir/usr/lib/tmpfiles.d/mongodb.conf"
+}

Copied: mongodb/repos/community-testing-x86_64/mongodb.conf (from rev 304160, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-x86_64/mongodb.conf	                        (rev 0)
+++ community-testing-x86_64/mongodb.conf	2018-03-08 01:52:14 UTC (rev 304161)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Copied: mongodb/repos/community-testing-x86_64/mongodb.service (from rev 304160, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-x86_64/mongodb.service	                        (rev 0)
+++ community-testing-x86_64/mongodb.service	2018-03-08 01:52:14 UTC (rev 304161)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target

Copied: mongodb/repos/community-testing-x86_64/mongodb.sysusers (from rev 304160, mongodb/trunk/mongodb.sysusers)
===================================================================
--- community-testing-x86_64/mongodb.sysusers	                        (rev 0)
+++ community-testing-x86_64/mongodb.sysusers	2018-03-08 01:52:14 UTC (rev 304161)
@@ -0,0 +1,2 @@
+u mongodb -      - /var/lib/mongodb
+m mongodb daemon

Copied: mongodb/repos/community-testing-x86_64/mongodb.tmpfiles (from rev 304160, mongodb/trunk/mongodb.tmpfiles)
===================================================================
--- community-testing-x86_64/mongodb.tmpfiles	                        (rev 0)
+++ community-testing-x86_64/mongodb.tmpfiles	2018-03-08 01:52:14 UTC (rev 304161)
@@ -0,0 +1,2 @@
+d /var/lib//mongodb 0700 mongodb daemon - -
+d /var/log//mongodb 0755 mongodb daemon - -



More information about the arch-commits mailing list